Lookup sender score
curl --request POST \
--url https://apix.spotzee.com/api/ext/generic/email/senderscore-lookup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data 'ipv4=<string>'import requests
url = "https://apix.spotzee.com/api/ext/generic/email/senderscore-lookup"
payload = { "ipv4": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({ipv4: '<string>'})
};
fetch('https://apix.spotzee.com/api/ext/generic/email/senderscore-lookup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://apix.spotzee.com/api/ext/generic/email/senderscore-lookup"
payload := strings.NewReader("ipv4=%3Cstring%3E")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/x-www-form-urlencoded")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"status": "success",
"data": {
"senderscore": 19,
"rating": "POOR",
"color": "#cb333b",
"ss_trend": [
{
"timestamp": "1748995200000",
"value": 59
},
{
"timestamp": "1749081600000",
"value": 56
}
],
"ss_volume_trend": [
{
"timestamp": "1748995200000",
"value": 376
},
{
"timestamp": "1749081600000",
"value": 255
}
],
"rdns": "mail.example.com.",
"volume_tier": "HIGH",
"certified": false,
"rp_safe": false
}
}{
"status": "error",
"error": "Invalid request parameters"
}{
"status": "error",
"error": "Invalid request parameters"
}{
"status": "error",
"error": "Invalid request parameters"
}{
"status": "error",
"error": "Invalid request parameters"
}{
"status": "error",
"error": "Invalid request parameters"
}{
"status": "error",
"error": "Invalid request parameters"
}Email
Lookup sender score
Lookup sender reputation score for an IP address
POST
/
generic
/
email
/
senderscore-lookup
Lookup sender score
curl --request POST \
--url https://apix.spotzee.com/api/ext/generic/email/senderscore-lookup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data 'ipv4=<string>'import requests
url = "https://apix.spotzee.com/api/ext/generic/email/senderscore-lookup"
payload = { "ipv4": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({ipv4: '<string>'})
};
fetch('https://apix.spotzee.com/api/ext/generic/email/senderscore-lookup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://apix.spotzee.com/api/ext/generic/email/senderscore-lookup"
payload := strings.NewReader("ipv4=%3Cstring%3E")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/x-www-form-urlencoded")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"status": "success",
"data": {
"senderscore": 19,
"rating": "POOR",
"color": "#cb333b",
"ss_trend": [
{
"timestamp": "1748995200000",
"value": 59
},
{
"timestamp": "1749081600000",
"value": 56
}
],
"ss_volume_trend": [
{
"timestamp": "1748995200000",
"value": 376
},
{
"timestamp": "1749081600000",
"value": 255
}
],
"rdns": "mail.example.com.",
"volume_tier": "HIGH",
"certified": false,
"rp_safe": false
}
}{
"status": "error",
"error": "Invalid request parameters"
}{
"status": "error",
"error": "Invalid request parameters"
}{
"status": "error",
"error": "Invalid request parameters"
}{
"status": "error",
"error": "Invalid request parameters"
}{
"status": "error",
"error": "Invalid request parameters"
}{
"status": "error",
"error": "Invalid request parameters"
}Authorizations
Bearer token authentication. Use format: Bearer YOUR_API_KEY
Body
application/x-www-form-urlencoded
IPv4 address
Response
Successfully retrieved sender score
Indicates successful operation
Available options:
success Hide child attributes
Hide child attributes
Sender score rating (0-100)
Example:
19
Rating category based on score
Available options:
EXCELLENT, GOOD, FAIR, POOR, VERY POOR Example:
"POOR"
Color code for visual representation
Example:
"#cb333b"
Historical sender score trend (last 30 days)
Example:
[ { "timestamp": "1748995200000", "value": 59 }, { "timestamp": "1749081600000", "value": 56 } ]
Historical email volume trend (last 30 days)
Example:
[ { "timestamp": "1748995200000", "value": 376 }, { "timestamp": "1749081600000", "value": 255 } ]
Reverse DNS hostname
Example:
"mail.example.com."
Email volume tier classification
Available options:
LOW, MEDIUM, HIGH, VERY HIGH Example:
"HIGH"
Whether the sender is certified
Example:
false
Whether the sender is Return Path certified
Example:
false
Was this page helpful?
⌘I